Skip to main content
GET
List building devices

Authorizations

Authorization
string
header
required

Paste an access token from Create an access token. Tokens expire, so request a new one if you receive 401.

Path Parameters

buildingId
string
required

Building identifier from List buildings.

Query Parameters

page
integer
default:1

Page number to return. The first page is 1.

Required range: x >= 1
limit
integer
default:50

Maximum number of items per page.

Required range: 1 <= x <= 200
deviceId
string

Return only the device with this identifier.

areaId
string

Return only devices in this area.

canonicalType
string

Return only devices of this canonical type, for example VAV. See List canonical types.

originType
enum<string>

Return only devices of this origin.

Available options:
ORIGIN,
VIRTUAL,
MANUAL
pseudoDevice
boolean

true returns only pseudo devices, false only the others. The list leaves pseudoDevice out of a device unless it is true.

q
string

Search text.

asc
string

Field to sort by in ascending order.

dsc
string
default:_id

Field to sort by in descending order.

Response

A page of devices.

itemCount
integer

Total number of matching items.

Example:

1

limit
integer

Maximum number of items per page.

Example:

50

page
integer

Current page number.

Example:

1

pageCount
integer

Total number of pages.

Example:

1

data
Device · object[]